#!/usr/bin/perl

system("cp epsHeader.txt hope.eps");
open(EPSOUT,">>hope.eps");

while(<>)
{
    chomp;

    if(/^T/)    # tool
    {
	@sp=split(/C0\./,$_);
	#print $sp[0];
	#print " ";
	#print $sp[1];

	$toolNum = $sp[0];
	$toolNum =~ s/T//;

	print $_;
	print "($sp[1])";
	print "\n";
	#print "$diam\n";

	if($sp[1]==""){
	    print "set tool to $toolNum\n";
	} else
	{
	    print "set tool $toolNum diameter to $diam[$toolNum]\n";
	    $diam[$toolNum]  = $sp[1]*25.4
	}
    }

    if(/^X/)    # flash aperture/hole
    {
	s/X//;
	@sp=split(/Y/,$_);
	#print $sp[0], ",", $sp[1];
	$x=$sp[0]*25.4;
	$y=$sp[1]*25.4;

	# x, y, radius, linewidth
	# /lw exch def
	# /rd exch def
	# /y  exch def
	# /x  exch def

	$rad = $diam[$toolNum]/2;

	print EPSOUT "$x $y $rad 254 c\n";
    }

}

print EPSOUT "showpage grestore\n";
close(EPSOUT);



